SDL_GetGamepadPlayerIndex(3)

NAME
SDL_GetGamepadPlayerIndex - Get the player index of an opened gamepad.

HEADER FILE
Defined in SDL3/SDL_gamepad.h

SYNOPSIS
#include "SDL3/SDL.h"

int SDL_GetGamepadPlayerIndex(SDL_Gamepad *gamepad);

DESCRIPTION
For XInput gamepads this returns the XInput user index.

FUNCTION PARAMETERS

gamepad
    the gamepad object to query.

RETURN VALUE
Returns the player index for gamepad, or -1 if it's not available.

AVAILABILITY
This function is available since SDL 3.0.0.

SEE ALSO
SDL_SetGamepadPlayerIndex(3)